<?php session_start();
//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
menu();
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Usuario
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Usuario
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Usuarios</h2>";

$usu = $_SESSION['usuario_validar'];
$nom = $_SESSION['nombre_validar'];
$acc = $_SESSION['acceso_validar'];
$db = $_SESSION['db_validar'];
$emp = $_SESSION['empresa_validar'];
$accion=$_REQUEST["accion"];
$usuario=$_REQUEST["usuario"];

$entra=0;
$acceso = '0'.($_POST['acc1']==''?'0':$_POST['acc1']); ///NOMINA
$acceso .= ($_POST['acc2']==''?'0':$_POST['acc2']);  //PRESTACIONES
$acceso .= ($_POST['acc3']==''?'0':$_POST['acc3']);  //VACACIONES
$acceso .= ($_POST['acc4']==''?'0':$_POST['acc4']);  //UTILIDADES
$acceso .= ($_POST['acc5']==''?'0':$_POST['acc5']); ////TRABAJADOR
$acceso .= ($_POST['acc6']==''?'0':$_POST['acc6']); ///ESTRUCTURA
$acceso .= ($_POST['acc7']==''?'0':$_POST['acc7']);  ///MODIFICAR SUELDOS
$acceso .= ($_POST['acc8']==''?'0':$_POST['acc8']); ////CHEQUEO
$acceso .= ($_POST['acc9']==''?'0':$_POST['acc9']); ///Carga x Constante
$acceso .= ($_POST['acc10']==''?'0':$_POST['acc10']); //AUTOMATICOS (PRESTAMOS)
$acceso .= ($_POST['acc11']==''?'0':$_POST['acc11']);  /// REPORTES PRE-CIERRE
$acceso .= ($_POST['acc12']==''?'0':$_POST['acc12']); //REPORTES DE AUDITORIA
$acceso .= ($_POST['acc13']==''?'0':$_POST['acc13']);  //REPORTES HISTORICOS
$acceso .= ($_POST['acc14']==''?'0':$_POST['acc14']); //Turnos 
$acceso .= ($_POST['acc15']==''?'0':$_POST['acc15']);  //ACCESO A MASTER EMPRESA
$acceso .= ($_POST['acc16']==''?'0':$_POST['acc16']);  //CREAR REGISTROS
$acceso .= ($_POST['acc17']==''?'0':$_POST['acc17']); //MODIFICAR REGISTROS
$acceso .= ($_POST['acc18']==''?'0':$_POST['acc18']);  //ELIMINAR REGSITROS
$acceso .= ($_POST['acc19']==''?'0':$_POST['acc19']); ///Actualizar fichas trabajador
$acceso .= ($_POST['acc20']==''?'0':$_POST['acc20']); ///Actualizar Parametros
$acceso .= ($_POST['acc21']==''?'0':$_POST['acc21']); ///Cambiar Nro. de Cedula
$acceso .= ($_POST['acc22']==''?'0':$_POST['acc22']); //SEGURIDAD SSL
$acceso .= ($_POST['acc23']==''?'0':$_POST['acc23']); //ver INICIO
$acceso .= ($_POST['acc24']==''?'0':$_POST['acc24']); //Permitir Reprocesar una Nomina
$acceso .= ($_POST['acc25']==''?'0':$_POST['acc25']); ///imprimir Calc. Nomina en Pre-cierre
$acceso .= ($_POST['acc26']==''?'0':$_POST['acc26']); ///Impr. Calc.Nomina Aud
$acceso .= ($_POST['acc27']==''?'0':$_POST['acc27']);  //SOLO RECIBOS
$acceso .= ($_POST['acc28']==''?'0':$_POST['acc28']); //Cargar horas extras (x NOVEDADES DE NOMINA)
$acceso .= ($_POST['acc29']==''?'0':$_POST['acc29']); //Aprobacion de Novedades
$acceso .= ($_POST['acc30']==''?'0':$_POST['acc30']); //Registrar RRHH
$acceso .= ($_POST['acc31']==''?'0':$_POST['acc31']); ///Recibos de pago y reporte o archivo
$acceso .= ($_POST['acc32']==''?'0':$_POST['acc32']); ///cargar Retardos (x NOVEDADES DE NOMINA)
$acceso .= ($_POST['acc33']==''?'0':$_POST['acc33']); //Aprobar PrÃ©stamos trabajador
$acceso .= ($_POST['acc34']==''?'0':$_POST['acc34']); ///Registrar Servicios MÃ©dicos
$acceso .= ($_POST['acc35']==''?'0':$_POST['acc35']); ///cargar Salida anticipada(x NOVEDADES DE NOMINA)
$acceso .= ($_POST['acc36']==''?'0':$_POST['acc36']); //Registrar Vacaciones (novedad) (x NOVEDADES DE NOMINA)
$acceso .= ($_POST['acc37']==''?'0':$_POST['acc37']); ///Cargar Ausencias (x NOVEDADES DE NOMINA)
$acceso .= ($_POST['acc38']==''?'0':$_POST['acc38']); //Registrar Licencias
$acceso .= ($_POST['acc39']==''?'0':$_POST['acc39']); ///Confirmacion de jornada
$acceso .= ($_POST['acc40']==''?'0':$_POST['acc40']); //Aprobar Pagos extraordinarios
$acceso .= ($_POST['acc41']==''?'0':$_POST['acc41']); ///Envio a BANCOS
$acceso .= ($_POST['acc42']==''?'0':$_POST['acc42']); //Aprobar Vacaciones
$acceso .= ($_POST['acc43']==''?'0':$_POST['acc43']); //Aprobar Solicitudes Fondo Ahorros
$acceso .= ($_POST['acc44']==''?'0':$_POST['acc44']); //Cargar/Aprobar Pagos en USD

///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['graba']==1 ) {

		if (strtoupper($_POST['usuario'])=='MASTER' ) {	$entra=1;
		} else {
			$consulta="Select * from tab_usuario where id='".$_SESSION['id_validar']."' and usuario = '".$_POST['usuario']."'" ;
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$num_rows = mysqli_num_rows($resultado);
			if ($num_rows == 0) {
				$usuario=str_replace(" ","",trim($_POST['usuario']));
				$tipo=($_SESSION['usuario_validar']=='RfdfdfDAVILA'?1:0);
				$consulta="insert into tab_usuario (rol,nom01,nom02,nom03,nom04,id,tipo,usuario, clave,codigo,e_mail, detalle, position_number, acceso,empresa) values ('".$_POST['select_rol']."','".$_POST['nom01']."','".$_POST['nom02']."','".$_POST['nom03']."','".$_POST['nom04']."','".$_SESSION['id_validar']."',$tipo,ucase('".$usuario."'),'".$_POST['clave']."', '".$_POST['codigo']."','".$_POST['email']."',ucase('".$_POST['detalle']."'),'".$_POST['position_number']."','".$acceso."','".$emp."')";
				$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			} else $entra=1;
		}
	}
    if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";

///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['modifica']==1 ) {
		$consulta="update tab_usuario set rol='".$_POST['select_rol']."', codigo='".$_POST['codigo']."', nom01='".$_POST['nom01']."', nom02='".$_POST['nom02']."', nom03='".$_POST['nom03']."', nom04='".$_POST['nom04']."', clave='".$_POST['clave']."', e_mail='".$_POST['email']."' ,detalle=ucase('".$_POST['detalle']."'), position_number='".$_POST['position_number']."', acceso='".$acceso."' where id='".$_SESSION['id_validar']."' and usuario = '".$_POST['usuario']."'";
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}

?>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<?


///////////////////////////////////////////////// Agregar / Modificar ////////////////////////////////////////////////////////////////
	if (!$_POST || $accion==2 || $_POST['modifica']==1|| $_POST['graba']==1 || $accion==3){

		if ($accion==3) {
			$consulta="Select * from tab_usuario where id='".$_SESSION['id_validar']."' and usuario = '".$usuario."'" ;
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$row = mysqli_fetch_array($resultado);
		}
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_usuario(this)'>";

		if ($accion==3)	echo "  <input type = 'hidden' name = 'modifica' value = '1'>";
		else echo "  <input type = 'hidden' name = 'graba' value = '1'>";

		echo "	<table width = '900' align ='center'>";
		echo "	<tr>";
		echo "     <td align='right'> Nombres y Apellidos: </td>";
		echo "     <td colspan=3><input name = 'detalle' size = '20' maxlength = '40' value = '".$row['detalle']."'></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Position number: </td>";
		echo "     <td colspan=3><input name = 'position_number' size = '20' maxlength = '40' value = '".$row['position_number']."'></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Cedula: </td>";
		echo "     <td colspan=3><input name = 'codigo' size = '20' maxlength = '8' value = '".$row['codigo']."'></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Usuario: </td>";
		echo "     <td colspan=3><input name = 'usuario' size = '20' maxlength = '20' value = '".$row['usuario']."' ".($accion==3?'readonly':'')."></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> E-mail: </td>";
		echo "     <td colspan=3><input name = 'email' size = '50' maxlength = '50' value = '".$row['e_mail']."'></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Clave: </td>";
		echo "     <td colspan=3><input type = 'password' name = 'clave' size = '20' maxlength = '20' value = '".$row['clave']."'></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Rol de usuario: </td>";
		echo "     <td colspan=3>
				<select style='width:210px;' name='select_rol' id='select_rol'>";
				$array_roles = array('supervisor','gerente','rrhh','servicio_medico');
				if($row['rol']==''){
					echo "<option value='' selected> NINGUNO";
				}else{
					echo "<option value='' > NINGUNO";
				}
				foreach ($array_roles as &$rol ){
					if($rol == $row['rol']){
						echo "<option value=".$row['rol']." selected='selected' >  ".strtoupper(str_replace('_',' ',$rol));
					}else{
						echo "<option value=".$rol.">".strtoupper(str_replace('_',' ',$rol));
					}
				}
		echo "</select>
			</td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='right'> Nomina a Desactivar: </td>";
		echo "     <td colspan=3>";
						echo "(1)<input name = 'nom01' size = '3' maxlength = '3' value = '".$row['nom01']."'>&nbsp;&nbsp;C&oacute;digo de N&oacute;mina";
//						echo "(2)<input name = 'nom02' size = '3' maxlength = '3' value = '".$row['nom02']."'>&nbsp;&nbsp;";
//						echo "(3)<input name = 'nom03' size = '3' maxlength = '3' value = '".$row['nom03']."'>&nbsp;&nbsp;";
//						echo "(4)<input name = 'nom04' size = '3' maxlength = '3' value = '".$row['nom04']."' disabled>&nbsp;&nbsp;";
		echo "     </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td align='center' colspan='100%' style='border-bottom:1px solid gray'> <strong>PERMISOS GENERALES</strong> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Menu </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Opciones </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Acceso </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Actualizar </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Reportes </th>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc1' value='1' ".(substr($row['acceso'],1,1)==1?'checked':'')."> <font color=red>N&oacute;mina</font></td>";
		echo "     <td><input type='checkbox' name = 'acc5' value='1' ".(substr($row['acceso'],5,1)==1?'checked':'').">  Trabajador </td>";
		echo "     <td><input type='checkbox' name = 'acc23' value='1' ".(substr($row['acceso'],23,1)==1?'checked':'')."> <font color=black>Ver Inicio</font></td>";
		echo "     <td><input type='checkbox' name = 'acc17' value='1' ".(substr($row['acceso'],17,1)==1?'checked':'')."> <font color=blue>Modificar Registros</font></td>";
		echo "     <td><input type='checkbox' name = 'acc8' value='1' ".(substr($row['acceso'],8,1)==1?'checked':'').">  Chequeo</td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc2' value='1' ".(substr($row['acceso'],2,1)==1?'checked':'')."> <font color=red>Prestaciones</font></td>";
		echo "     <td><input type='checkbox' name = 'acc6' value='1' ".(substr($row['acceso'],6,1)==1?'checked':'').">  Estructura</td>";
		echo "     <td><input type='checkbox' name = 'acc22' value='1' ".(substr($row['acceso'],22,1)==1?'checked':'')."> <font color=black>Ver Seguridad</font></td>";
		echo "     <td><input type='checkbox' name = 'acc16' value='1' ".(substr($row['acceso'],16,1)==1?'checked':'')."> <font color=blue>Crear Registros</font></td>";
		echo "     <td><input type='checkbox' name = 'acc12' value='1' ".(substr($row['acceso'],12,1)==1?'checked':'')."> <font color=green> Auditoria</font></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc3' value='1' ".(substr($row['acceso'],3,1)==1?'checked':'')."> <font color=red>Vacaciones</font></td>";
		echo "     <td><input type='checkbox' name = 'acc7' value='1' ".(substr($row['acceso'],7,1)==1?'checked':'').">  Modificar Sueldos</td>";
		echo "     <td><input type='checkbox' name = 'acc27' value='1' ".(substr($row['acceso'],27,1)==1?'checked':'')."> <font color=black>Solo Recibos</font></td>";
		echo "     <td><input type='checkbox' name = 'acc18' value='1' ".(substr($row['acceso'],18,1)==1?'checked':'')."> <font color=blue>Eliminar Registros</font></td>";
		echo "     <td><input type='checkbox' name = 'acc13' value='1' ".(substr($row['acceso'],13,1)==1?'checked':'')."> <font color=green> Historico </font></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc4' value='1' ".(substr($row['acceso'],4,1)==1?'checked':'')."> <font color=red>Utilidades</font></td>";
		echo "     <td><input type='checkbox' name = 'acc10' value='1' ".(substr($row['acceso'],10,1)==1?'checked':'').">  Automatico </td>";
		echo "     <td><input type='checkbox' name = 'acc25' value='1' ".(substr($row['acceso'],25,1)==1?'checked':'')."> <font color=black>Impr. Calc.Nomina Pre</font></td>";
		echo "     <td><input type='checkbox' name = 'acc19' value='1' ".(substr($row['acceso'],19,1)==1?'checked':'')."> <font color=black>Actualizar Fichas</font></td>";
		echo "     <td><input type='checkbox' name = 'acc11' value='1' ".(substr($row['acceso'],11,1)==1?'checked':'')."> <font color=green>Pre-Cierre</font></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc15' value='1' ".(substr($row['acceso'],15,1)==1?'checked':'')."> Master Empresa</td>";
		echo "     <td><input type='checkbox' name = 'acc14' value='1' ".(substr($row['acceso'],14,1)==1?'checked':'').">  Turnos</td>";
		echo "     <td><input type='checkbox' name = 'acc26' value='1' ".(substr($row['acceso'],26,1)==1?'checked':'')."> <font color=black>Impr. Calc.Nomina Aud</font></td>";
		echo "     <td><input type='checkbox' name = 'acc20' value='1' ".(substr($row['acceso'],20,1)==1?'checked':'')."> <font color=black>Actualizar Par&aacute;metros</font></td>";
		echo "	   <td><input type='checkbox' name = 'acc41' value='1' ".(substr($row['acceso'],41,1)==1?'checked':'').">  Bancos</td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "		 <td> </td>";
		echo "		 <td> </td>";
		echo "     <td><input type='checkbox' name = 'acc24' value='1' ".(substr($row['acceso'],24,1)==1?'checked':'')."> <font color=black>Permitir Reprocesar una N&oacute;mina</font></td>";
		echo "     <td><input type='checkbox' name = 'acc9' value='1' ".(substr($row['acceso'],9,1)==1?'checked':'')."> Carga x Constante</td>";
		echo "		 <td> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "		 <td> </td>";
		echo "		 <td> </td>";
		echo "		 <td> </td>";
		echo "     <td><input type='checkbox' name = 'acc21' value='1' ".(substr($row['acceso'],21,1)==1?'checked':'')."> <font color=black>Cambiar Nro. de C&eacute;dula</font></td>";
		echo "     <td> </td>";
		echo "	</tr>";
		echo "	<tr>";

		echo "	<tr>";
		echo "     <td colspan='100%' align='right'> </td>";
		echo "	</tr>";
		echo "	<tr>";
		echo "     <td colspan='100%' align='center' style='border-bottom:1px solid gray'> <strong>NOVEDADES DE NÓMINA</strong></td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Creación </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Aprobación </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Registrar </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'>Reportes </th>";
		echo "     <th style='border-bottom:1px solid gray' align='center'></th>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td><input type='checkbox' name = 'acc28' id = 'acc28'  value='1' ".(substr($row['acceso'],28,1)==1?'checked':'')."> Horas Extras</td>";
		echo "     <td><input type='checkbox' name = 'acc29' value='1' ".(substr($row['acceso'],29,1)==1?'checked':'')."> Novedades </td>";
		echo "     <td><input type='checkbox' name = 'acc30' id= 'acc30' value='1' ".(substr($row['acceso'],30,1)==1?'checked':'')."> Recursos Humanos </td>";
		echo "     <td><input type='checkbox' name = 'acc31' value='1' ".(substr($row['acceso'],31,1)==1?'checked':'')."> Recibos de pago y reporte o archivo </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td> <input type='checkbox' name = 'acc32' id = 'acc32' value='1' ".(substr($row['acceso'],32,1)==1?'checked':'')."> Retardos</td>";
		echo "     <td> <input type='checkbox' name = 'acc33' value='1' ".(substr($row['acceso'],33,1)==1?'checked':'')."> Préstamos trabajador</td>";
		echo "     <td> <input type='checkbox' name = 'acc34' value='1' ".(substr($row['acceso'],34,1)==1?'checked':'')."> Servicios Médicos</td>";
		echo "     <td> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td> <input type='checkbox' name = 'acc35' id = 'acc35' value='1' ".(substr($row['acceso'],35,1)==1?'checked':'')."> Salida anticipada</td>";
		echo "     <td> <input type='checkbox' name = 'acc39' id = 'acc39' value='1' ".(substr($row['acceso'],39,1)==1?'checked':'')."> Confirmación de jornada</td>";
		echo "     <td> <input type='checkbox' name = 'acc36' value='1' ".(substr($row['acceso'],36,1)==1?'checked':'')."> Vacaciones</td>";
		echo "     <td> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td> <input type='checkbox' name = 'acc37' id='acc37' value='1' ".(substr($row['acceso'],37,1)==1?'checked':'')."> Ausencias</td>";
		echo "     <td> <input type='checkbox' name = 'acc40' id = 'acc40' value='1' ".(substr($row['acceso'],40,1)==1?'checked':'')."> Pagos extraordinarios</td>";
		echo "     <td> <input type='checkbox' name = 'acc38' value='1' ".(substr($row['acceso'],38,1)==1?'checked':'')."> Licencias</td>";
		echo "     <td> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td> </td>";
		echo "     <td> <input type='checkbox' name = 'acc42' id = 'acc42' value='1' ".(substr($row['acceso'],42,1)==1?'checked':'')."> Vacaciones</td>";
		echo "     <td> </td>";
		echo "     <td> </td>";
		echo "	</tr>";
		
		echo "	<tr>";
		echo "     <td> </td>";
		echo "     <td> <input type='checkbox' name = 'acc43' id = 'acc43' value='1' ".(substr($row['acceso'],43,1)==1?'checked':'')."> Fondo Ahorros</td>";
		echo "     <td> </td>";
		echo "     <td> </td>";
		echo "	</tr>";

		echo "	<tr>";
		echo "     <td> </td>";
		echo "     <td> <input type='checkbox' name = 'acc44' id = 'acc44' value='1' ".(substr($row['acceso'],44,1)==1?'checked':'')."> Pagos Especiales USD</td>";
		echo "     <td> </td>";
		echo "     <td> </td>";
		echo "	</tr>";
		


		echo "     <td colspan=4 align='center'><br><input name='procesar' type = 'submit' value = '".($accion==3?'Modificar Registro':'Grabar Registro')."'></td>";
		echo "	</tr></table></form>";
		echo "	<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.usuario.focus()";
		echo "	</script>";
	}
	?>
	<script>

	$("#acc30").on('click', function() {
		if(this.checked) {
			$('#acc28').prop("checked", true);
			$('#acc32').prop("checked", true);
			$('#acc35').prop("checked", true);
			$('#acc37').prop("checked", true);
			$('#acc39').prop("checked", true);
		}
	});

	</script>
	<?
///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==2) {
		$consulta="delete from tab_usuario where usuario='".$usuario."'  and id='".$_SESSION['id_validar']."' ";
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}

///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	$consulta="Select * from tab_usuario where id='".$_SESSION['id_validar']."' order by detalle";
	$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table border=1 cellpadding=2 cellspacing=0 width='600' align='center'>";
			echo "<tr BGcolor='#00BFFF' >";
			echo "<th ali=center><font face='verdana' size=2>Login</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Usuario</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Email</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Rol</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Position number</font></th>";

			echo "<th colspan=2 ali=center><font face='verdana' size=2>Acci&oacute;n</font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				$color=!$color;
				echo '<tr bgcolor="'.$tcolor.'" >';
				echo '<td width="100">'.$row['usuario'].'</td>';
				echo '<td width="300" align="center">'.$row['detalle'].'</td>';
				echo '<td width="300" align="center">'.$row['e_mail'].'</td>';
				echo '<td width="300" align="center">'.strtoupper(str_replace('_',' ',$row['rol'])).'</td>';
				echo '<td width="300" align="center">'.$row['position_number'].'</td>';
				$usuario = $row['usuario'];
				if (substr($_SESSION['acceso_validar'],18,1)==0) echo "<td width='60' align='center'></td>";
				else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&usuario=".$usuario."'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR este registro' ></a></td>";
				echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&usuario=".$usuario."'><img border = 0 src='images/b_edit.png' alt='MODIFICAR este registro'></a></td>";
				echo '</tr>';
			}
			echo '</table>';
	} else echo "<hr>";

mysqli_free_result($resultado);
mysqli_close($enlace);
echo "</font></body>";
echo "</html>";
?>
